<template>
  <!-- 汽运单价页面 -->
  <div class="homeworkPath">
    <div class="top">
      <el-input v-model="input" placeholder="请输入内容"></el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="btnclick(0)">
        <i class="el-icon-plus"></i>新增
      </el-button>
    </div>
    <dilTable v-bind.sync="option">
      <el-table-column fixed="right" label="操作" align="center" width="150">
        <template slot-scope="scope">
          <el-button @click="click(scope.row.priceId)" type="text" size="small"
            >编辑</el-button>
          <el-button
            type="text"
            size="small"
            @click="deleteclick(scope.row.priceId)"
            >删除</el-button
          >
        </template>
      </el-table-column>
    </dilTable>
  </div>
</template>

<script>
export default {
  name: "homeworkPath",
  data() {
    return {
      restaurants: [],
      state: "",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/ams/getTruckPriceList?apiId=83",
      },
    };
  },
  mounted() {
  },
  methods: {
    handleSelect(item) {
      console.log(item);
    },
    onclick() {
      console.log(1);
    },
    btnclick() {
      this.$router.push("/addTruckPrice/");
    },
    click(priceId) {
      this.$router.push("/updateTruckPrice/" + priceId);
    },
    // deleteclick(scope) {
    //   let pathId = scope;
    //   this.axios
    //     .post("/api/v1/tms/operationPath/operationPathDelete?pathId=" + pathId)
    //     .then((res) => {
    //       this.$message({
    //         message: "删除成功",
    //         type: "success",
    //       });
    //       this.$router.go(0);
    //     });
    // },
    deleteclick(scope) {
      let priceId = scope;
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "删除成功!",
          });
          this.axios
            .post(
              "/api/v1/ams/deleteShipPrice/" + priceId
            )
            .then(() => {
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
  },
};
</script>
<style lang='scss' scoped>
.homeworkPath {
  .top {
    padding: 1.25rem 1.875rem;
  }
}
</style>